/*
 * Source file containing functions and pre-compiler definitions
 * Note that this code module is not optimized on speed!
 * 
 * Author: Simon Kueppers
 * Email: simon.kueppers@web.de
 * Homepage: http://klinkerstein.m-faq.de
 * 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 Copyright 2008 Simon Kueppers
 * */

#include <p18cxxx.h>
#include "Hardware\SpiPort.h"

void SpiWriteChunk(const uint8_t* pChunk, uint16_t nBytes) {
	while (nBytes--) {
		SpiWriteByte( *pChunk++);
	}
}

void SpiReadChunk(uint8_t* pChunk, uint16_t nBytes) {
	while (nBytes--) {
		*pChunk++ = SpiReadByte();
	}
}
