#ifndef __INTTYPES_H__
#define __INTTYPES_H__

typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long uint32_t;


/*
// C18 is litte endian
// Network is big endian
uint32_t swap_unit32(uint32_t n);
uint16_t swap_unit16(uint16_t n);

#define ntohl(n) swap_unit32(n) //Network to Host byte order (Long)
#define htonl(h) swap_unit32(h) //Host to Network byte order (Long)

#define ntohs(n) swap_unit16(n) //Network to Host byte order (Short)
#define htons(h) swap_unit16(h) //Host to Network byte order (Short)
*/

typedef long	int32_t;

#include "delays.h"
#define CLOCK_RATE 16000000L
#define wait_1ms(t)   Delay1KTCYx (CLOCK_RATE / 4 * t / 1000 / 1000)
#define wait_100us(t) Delay100TCYx(CLOCK_RATE / 4 * t / 1000 / 1000)
#define wait_10us(t)  Delay10TCYx (CLOCK_RATE / 4 * t / 1000 / 1000)
#define wait_1us(t)   Delay10TCYx (CLOCK_RATE / 4 * t / 1000 / 10000)

void initUSB(void);
void sendBufferToUSB(const uint8_t length, const uint8_t * buffer);
void receiveUSB(void);

void transmitUSB(unsigned char byte);
void transmitUSBHex(unsigned char byte);
void transmitUSBCrLf(void);
void transmitUSBRawSeq(void);
void transmitUSBRomString(const rom char *data);

#endif